SUBROUTINE ceetotmat(ceetot,jq,jp,aq,ap)
!
! This subroutine forms the ceetot matrix.
!
 IMPLICIT NONE
 INTEGER,PARAMETER::iwp=SELECTED_REAL_KIND(15)
 REAL(iwp),INTENT(IN)::jq,jp,aq,ap
 REAL(iwp),INTENT(OUT)::ceetot(4,2)
 ceetot(1,1)=2*jp*tan(ap)
 ceetot(1,2)=-2*jq
 ceetot(2,1)=0
 ceetot(2,2)=0
 ceetot(3,1)=jq*tan(aq)
 ceetot(3,2)=-jq
 ceetot(4,1)=0
 ceetot(4,2)=0
RETURN
END SUBROUTINE ceetotmat
