SUBROUTINE sqtbl(kv,nband,kv_sq)
!
! This subroutine strips out the leading and trailing zeros
! from kv and returns a square (neq,neq) kv_sq matrix
!
implicit none 
INTEGER,PARAMETER::iwp=SELECTED_REAL_KIND(15)
integer,intent(in)::nband
real(iwp), intent(in)::kv(:,:)
real(iwp), intent(out)::kv_sq(:,:)

integer::i,j,k,m
DO j=1,size(kv,1)
   m=1
     DO k=nband+2-j,2*nband+2-j
        kv_sq(j,m)=kv(j,k)
   	m=m+1
     END DO
END DO

END SUBROUTINE sqtbl










